<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Deploy
- (c) Copyright IBM Corporation 2011, 2017. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2020. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
-->

<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <migrate to-version="2">
    <migrate-command name="Scale">
      <migrate-properties>
        <migrate-property name="type" default="dc" />
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="3">
  </migrate>
  <migrate to-version="4">
  </migrate>
  <migrate to-version="5">
    <migrate-command name="Patch Secret">
    </migrate-command>
    <migrate-command name="Create Secret">
    </migrate-command>
    <migrate-command name="Patch DeploymentConfig">
    </migrate-command>
    <migrate-command name="Replace DeploymentConfig">
    </migrate-command>
  </migrate>
  <migrate to-version="6">
    <migrate-command name="Patch Secret">
    </migrate-command>
    <migrate-command name="Create Secret">
    </migrate-command>
    <migrate-command name="Patch DeploymentConfig">
    </migrate-command>
    <migrate-command name="Replace DeploymentConfig">
    </migrate-command>
  </migrate>
  <migrate to-version="7">
    <migrate-command name="Patch Secret">
    </migrate-command>
    <migrate-command name="Create Secret">
    </migrate-command>
    <migrate-command name="Patch DeploymentConfig">
    </migrate-command>
    <migrate-command name="Replace DeploymentConfig">
    </migrate-command>
    <migrate-command name="Create Object From Template">
    </migrate-command>
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Create Object From Template">
    </migrate-command>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Create Object From Template">
    </migrate-command>
    <migrate-command name="Patch Secret">
    </migrate-command>
  </migrate>
  <migrate to-version="10">
  </migrate>
  <migrate to-version="11">
  </migrate>
  <migrate to-version="16">
    <migrate-command name="Apply">
    </migrate-command>
    <migrate-command name="Deploy">
    </migrate-command>
    <migrate-command name="Rollout">
    </migrate-command>
    <migrate-command name="Create Object From Template">
    </migrate-command>
    <migrate-command name="Patch DeploymentConfig">
    </migrate-command>
    <migrate-command name="Rollback">
    </migrate-command>
    <migrate-command name="Scale">
    </migrate-command>
    <migrate-command name="Add Tag">
    </migrate-command>
  </migrate>
  <migrate to-version="17">
    <migrate-command name="Deploy">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Object From Template">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Patch Secret">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Rollback">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Scale">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Add Tag">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Patch DeploymentConfig">
      <migrate-properties>
         <migrate-property name="flags" default="" />
      </migrate-properties>
    </migrate-command>
  </migrate>

</plugin-upgrade>